javax.accessibility

## Interface AccessibleStreamable

-     public interface AccessibleStreamable

  The `AccessibleStreamable` interface should be implemented by the `AccessibleContext` of any component that presents the raw stream behind a component on the display screen. Examples of such components are HTML, bitmap images and MathML. An object that implements `AccessibleStreamable` provides two things: a list of MIME types supported by the object and a streaming interface for each MIME type to get the data.
  Since:
    1.5
  See Also:
    `AccessibleContext`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataFlavor[]` | `getMimeTypes()` Returns an array of DataFlavor objects for the MIME types this object supports.
    `InputStream` | `getStream(DataFlavor flavor)` Returns an InputStream for a DataFlavor

- - ### Method Detail

    - #### getMimeTypes

          DataFlavor[] getMimeTypes()

      Returns an array of DataFlavor objects for the MIME types this object supports.
      Returns:
        an array of DataFlavor objects for the MIME types this object supports.

    - #### getStream

          InputStream getStream(DataFlavor flavor)

      Returns an InputStream for a DataFlavor
      Parameters:
        `flavor` - the DataFlavor
      Returns:
        an ImputStream if an ImputStream for this DataFlavor exists. Otherwise, null is returned.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.